> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets V2

> The list assets endpoint lets users retrieve detailed information about their uploaded assets, including its size, type, status, URL, duration (for video and audio asset) and frames (for video asset). This endpoint is paginated.

<Info>
  V2 offers streamlined and precise attributes in requests and responses, making asset usage more efficient and simpler.
</Info>


## OpenAPI

````yaml get /pub/v2/assets
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v2/assets:
    get:
      tags:
        - Assets
      summary: List Assets
      description: >-
        The list assets endpoint lets users retrieve detailed information about
        their uploaded assets, including its size, type, status, URL, duration
        (for video and audio asset) and frames (for video asset). This endpoint
        is paginated.
      parameters:
        - description: The page number of the feed
          in: query
          name: page
          schema:
            minimum: 1
            type: integer
        - description: The page size of the feed
          in: query
          name: page_size
          schema:
            maximum: 50
            minimum: 1
            type: integer
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
        - description: Filter asset by its type. By default it lists all types of assets
          in: query
          name: type
          required: false
          schema:
            enum:
              - image
              - video
              - audio
            title: Asset Type
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAssetsV2SuccessResponse'
          description: A list of assets
components:
  schemas:
    ListAssetsV2SuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AssetItemV2'
          type: array
        err:
          description: The error if the request was not successful
          type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: The pagination information
          type: object
      type: object
    AssetItemV2:
      properties:
        size:
          $ref: '#/components/schemas/ImageSize'
          description: The size of the asset
          type: object
        duration:
          description: >-
            The duration of the media in seconds. Applicable for audio and video
            assets
          type: integer
          example: 30
        frames:
          description: The total number of frames in the video asset uploaded
          type: integer
          example: 200
        url:
          description: The url of the asset
          example: object-url
          type: string
        id:
          description: The id of the asset
          example: asset_id
          type: string
        status:
          description: The status of the asset
          enum:
            - active
            - archive
            - pending
            - censored
            - processing
          example: active
          type: string
        type:
          description: The type of the asset
          enum:
            - image
            - audio
            - video
          example: image
          type: string
      type: object
    Pagination:
      properties:
        page:
          description: The page number
          example: 1
          type: integer
        page_size:
          description: The page size
          example: 10
          maximum: 50
          minimum: 1
          type: integer
        total:
          description: The total number of items
          example: 100
          type: integer
      type: object
    ImageSize:
      type: object
      properties:
        height:
          description: The height of the image
          example: 512
          type: integer
        width:
          description: The width of the image
          example: 512
          type: integer
      required:
        - height
        - width

````